[OSM-dev] which Java Verison to use (1.6 vs. 1.5); was: Error compiling osmosis

Shaun McDonald shaun at shaunmcdonald.me.uk
Sun Dec 28 11:56:15 GMT 2008


On 28 Dec 2008, at 00:36, Brett Henderson wrote:

>  Java
> 1.5 is more widely available than Java 1.6.  OSX in particular hasn't
> had support for 1.6, not sure if that's changed yet.

The current status of Java 1.6 on Mac OS X is that Apple have decided  
to only support it on the Intel 64 bit platform. PPC and Intel 32 bit  
have been left in the cold by Apple.

There is also a bug that Apple have acknowledged, that means that ant  
will not find Java 1.6, using the default mechanisms supplied by  
Apple, where Java 1.6 can be installed. Hopefully the next version of  
the developer tools will have this fixed.

Shaun





More information about the dev mailing list